Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.anim
Class ANIMDeltaFrame

    java.lang.Object
      org.monte.media.anim.ANIMFrame
          org.monte.media.anim.ANIMDeltaFrame

    public class ANIMDeltaFrame

extends ANIMFrame

Version:
  1.4.1 2010-12-25 Minor fixes.
  1.4 2010-01-10 Try to play Vertical7Long anims even if they are broken.
  1.3 2009-11-19 Added support for BYTE_VERTICAL with XOR Op.
  1.2 2006-10-01 Added support for DECODER_J. Removed "_" suffix from instance variable names.
  1.1 2003-03-30 Static OP codes are now public.
  1.0 1999-10-19
Author:
  Werner Randelshofer, Hausmatt 10, CH-6405 Immensee, Switzerland

Field Summary
`static int` | `OP_ByteVertical`
`static int` | `OP_Direct`
`static int` | `OP_GeneralDelta`
`static int` | `OP_J`
`static int` | `OP_LongDelta`
`static int` | `OP_ShortDelta`
`static int` | `OP_StereoDelta`
`static int` | `OP_Vertical7`
`static int` | `OP_Vertical8`
`static int` | `OP_XOR`

Fields inherited from class org.monte.media.anim.ANIMFrame
`BadBitsOP_ByteVertical, BadBitsOP_GeneralDelta, BIT_LongData, BIT_LongInfoOffsets, BIT_OneInfoListForAllPlanes, BIT_RLC, BIT_Vertical, BIT_XOR, colorModel, data`

Constructor Summary
`ANIMDeltaFrame()`

Method Summary
`void` | `decode(BitmapImage bitmap, ANIMMovieTrack track)`
`int` | `getBottomBound(ANIMMovieTrack track)`
`int` | `getLeftBound(ANIMMovieTrack track)`
`int` | `getRightBound(ANIMMovieTrack track)`
`int` | `getTopBound(ANIMMovieTrack track)`
`boolean` | `isBidirectional()` Returns true if the frame can be decoded over both the previous frame or the subsequent frame.

Methods inherited from class org.monte.media.anim.ANIMFrame
`addAudioCommand, cleanUpAudioCommands, getAudioCommands, getBits, getColorModel, getInterleave, getOperation, getRelTime, setAbsTime, setBits, setColorModel, setData, setHeight, setInterleave, setMask, setOperation, setRelTime, setWidth, setX, setY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OP_Direct

    public static final int OP_Direct

See Also:
  Constant Field Values

### OP_XOR

    public static final int OP_XOR

See Also:
  Constant Field Values

### OP_LongDelta

    public static final int OP_LongDelta

See Also:
  Constant Field Values

### OP_ShortDelta

    public static final int OP_ShortDelta

See Also:
  Constant Field Values

### OP_GeneralDelta

    public static final int OP_GeneralDelta

See Also:
  Constant Field Values

### OP_ByteVertical

    public static final int OP_ByteVertical

See Also:
  Constant Field Values

### OP_StereoDelta

    public static final int OP_StereoDelta

See Also:
  Constant Field Values

### OP_Vertical7

    public static final int OP_Vertical7

See Also:
  Constant Field Values

### OP_Vertical8

    public static final int OP_Vertical8

See Also:
  Constant Field Values

### OP_J

    public static final int OP_J

See Also:
  Constant Field Values

Constructor Detail

### ANIMDeltaFrame

    public ANIMDeltaFrame()

Method Detail

### decode

    public void decode(BitmapImage bitmap,
                       ANIMMovieTrack track)

  Specified by:
    `decode` in class `ANIMFrame`

### getTopBound

    public int getTopBound(ANIMMovieTrack track)

  Overrides:
    `getTopBound` in class `ANIMFrame`

### getBottomBound

    public int getBottomBound(ANIMMovieTrack track)

  Overrides:
    `getBottomBound` in class `ANIMFrame`

### getLeftBound

    public int getLeftBound(ANIMMovieTrack track)

  Overrides:
    `getLeftBound` in class `ANIMFrame`

### getRightBound

    public int getRightBound(ANIMMovieTrack track)

  Overrides:
    `getRightBound` in class `ANIMFrame`

### isBidirectional

    public boolean isBidirectional()

  Returns true if the frame can be decoded over both the previous frame or the subsequent frame. Bidirectional frames can be used efficiently for forward and backward playing a movie.

  All key frames are bidirectional. Delta frames which use an XOR OP-mode are bidirectional as well.

  Overrides:
    `isBidirectional` in class `ANIMFrame`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD